Skip to main content
POST
/
api
/
tools
/
v1
/
workspaces
/
{workspaceId}
/
attachments
Upload workspace attachments
curl --request POST \
  --url https://app.govly.com/api/tools/v1/workspaces/{workspaceId}/attachments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'attachments=<string>' \
  --form attachments.items='@example-file'
{
  "data": [
    {
      "id": "<string>",
      "workspaceId": "<string>",
      "filename": "<string>",
      "commentId": "<string>",
      "contentType": "<string>",
      "byteSize": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "file": {
        "url": "<string>",
        "expiresAt": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "meta": {
    "count": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspaceId
string
required

Body

attachments
file[]
required

Response

Created attachments

data
object[]
required
meta
object
required